Report

HypeAuditor For Twitter

Endpoint

Get the report of a Twitter channel:

GET https://hypeauditor.com/api/method/auditor.twitter/?channel={channel}

Channel is Twitter username (nasa) from the url of Twitter channel (https://twitter.com/nasa).

Returns the report if it’s ready or requests the report if it’s not ready.

📘

Note:

  • nasa report is free, use it to test the API.
  • A report request costs 1 credit. If we cannot build a report due to reuqested social platform account restrictions or errors, 1 credit will be returned after the unsuccessful generation attempt. To check the number of remaining credits, please refer to restTokens field in the fetched response.
  • First check of the username costs 1 credit and the report will be accessible for 1 year. Next check after 365 days will also cost 1 credit.

Changelog

❗️

Important:

  • The object er has modified on 09/02/2024.
  • The string report_state has added to Endpoint since 07/01/2025.
  • Since 10/02/2025, 1 credit is charged per report request and refunded if the report generation attempt was unsuccessful.
  • The all key in performance objects (e.g.: metrics.subscribers_count.performance.all) is deprecated. Instead, key 365d, has been added. If your integration currently relies on all, please migrate to 365d. The all key will be permanently removed on 01/06/2026. Updating your integration in advance will help prevent any service disruptions.

Error codes

You will receive error if requested channel is not found, has no videos or no views.

  • CHANNEL_NOT_FOUND channel not found on Twitter

Response Object

AttributesType
report_statestringTwitter report state
reportobjectTwitter report data

report_state

String report_state identifies if the requested report is fully ready or lacks demographic data due to the low audience activity. List of report states:

Report stateDescription
READYReport is fully ready and contains all metrics

Report Object

AttributesType
basicobjectgeneral information about the channel
metricsobjectchannel metrics and calculated metrics
featuresobjectrich data about channel

Basic Object

AttributesType
idstringchannel id
usernamestringchannel username
titlestringchannel title
avatar_urlstringchannel avatar url
descriptionstringchannel description

Metrics Object

Each metrics objects may contain value field and performance object. Performance object can contain 4 periods of data (30d for 30 day data, 90d for 90, 180d for 180 and 365d for 364). Each period object contains value computed for current period (30/90/180d) and value_prev computed for the same period before current. For example: on 4th of July value shows data for Jun 5 - Jul 4 and value_prev shows data for May 4 - Jun 4. Note: value and values in performance are not the same.

subscribers_count

AttributesType
valueintNumber of total subscribers
performance.valueintnumber of new subscribers in a given period

following_count

AttributesType
valueintNumber of other accounts influencer following
performance.valueintNumber of new accounts, influencer following in a given period

subscribers_growth_prc

AttributesType
performance.valuefloatvalue in a given period
performance.markstringquality mark
performance.similarfloatvalue for similar accounts in a given period

Marks:

  • poor
  • fair
  • average
  • good
  • excellent

media_count

AttributesType
performance.valueintvalue in a given period

media_per_week

AttributesType
performance.valueintvalue in a given period

retweet_count

AttributesType
valuefloatlast observed value
performance.valuefloatvalue in a given period

retweet_avg

AttributesType
performance.valuefloatvalue in a given period

favorite_count

AttributesType
valuefloatlast observed value
performance.valuefloatvalue in a given period

favorite_avg

AttributesType
performance.valuefloatvalue in a given period

reply_count

AttributesType
valuefloatlast observed value
performance.valuefloatvalue in a given period

reply_avg

AttributesType
performance.valuefloatvalue in a given period

er

Engagement Rate is calculated by the total number of received likes, replies and retweets divided by the total number of followers during the analyzed period.

❗️

IMPORTANT

value_prev has been included since 09/02/2024.

AttributesType
performance.valuefloatvalue in a given period
performance.value_prevfloatprevious value in a given period

quoted_retweet_rate

AttributesType
performance.valuefloatvalue in a given period

tweets_with_links_prc

AttributesType
performance.valuefloatvalue in a given period

tweets_with_media_prc

AttributesType
performance.valuefloatvalue in a given period

tweets_number

AttributesType
performance.valueintvalue in a given period
performance.value_previntprevious value in a given period
performance.markstringquality mark in a given period
performance.mark_titlestringquality tittle for mark in a given period
valueintlast value observed
value_previntprevious value observed
markstringquality mark
mark_titlestringquality tittle for mark
similarintvalue for similar accounts

Features Object

most_media

Lists of most (in some parameters) media ids. Each object contains performance object for given periods

AttributesType
data.most_retweet_countobject with array of media_idsMedia IDs sorted by most retweet count
data.most_favorite_countobject with array of media_idsMedia IDs sorted by most favorite count
data.most_reply_countobject with array of media_idsMedia IDs sorted by most reply count
data.most_posted_descobject with array of media_idsMedia IDs sorted by most posted descendent
data.media.{media_id}object{basic: object, metrics: object, features: object}
data.media.{media_id}.basic.idstringMedia ID
data.media.{media_id}.basic.tittlestringMedia Title
data.media.{media_id}.basic.conversation_idstringConversation ID
data.media.{media_id}.basic.retweeted_id_strstringRetweeted ID
data.media.{media_id}.basic.in_reply_to_status_id_strstringIn reply to status ID
data.media.{media_id}.basic.languagestringLanguage in 2 char format
data.media.{media_id}.basic.time_isostringtime in iso format
data.media.{media_id}.basic.time_timestampintUnix stamp time
data.media.{media_id}.basic.timestringtime
data.media.{media_id}.metrics.retweet_countintRetweet count
data.media.{media_id}.metrics.favorite_countintFavorite count
data.media.{media_id}.metrics.reply_countintReply count
data.media.{media_id}.metrics.quote_countintQuote count
data.media.{media_id}.features.linksarrayURLs
data.media.{media_id}.features.typesobject{is_retweet: boolean, is_quoted: boolean, is_links: boolean, is_media: boolean, is_reply: boolean, is_tweet: boolean}
data.media.{media_id}.features.hashtagsarray of stringsHashtags
data.media.{media_id}.features.mentionsarray of stringsMentions

blogger_emails

List of blogger contact emails

AttributesType
dataarrayarray of emails.

blogger_geo

Blogger geo if available

AttributesType
data.countrystringISO Alpha-2 two letter country code.
data.cityintcity id from https://www.geonames.org
data.stateintstate id from https://www.geonames.org

blogger_languages

AttributesType
dataarrayarray of 2 letter lang codes

blogger_mentions

Mentions object contains performance object for given periods

AttributesType
data.mentions.performance.{period}.summary.all.erfloatMentions Engagement Rate
data.mentions.performance.{period}.summary.all.posts_countintMentions Posts Count
data.mentions.performance.{period}.summary.all.bloggers_countintMentions Bloggers Count
data.mentions.performance.{period}.summary.all.posts_per_weekintMentions Posts per Week

blogger_hashtags

blogger_hashtags object contains performance object for given periods

AttributesType
data.performance.{period}arrayarray of hashtag objects {text: string, media_count: int, er_avg: float}

social_networks

AttributesType
dataarrayarray of {type: int, id: string} objects.

Social networks ids map:

IdSocial network
1Instagram
2YouTube
3TikTok
4Twitch
5Twitter
7Snapchat

Requests

Set YOUR_ID and YOUR_TOKEN from HypeAuditor.

curl -X POST \
  https://hypeauditor.com/api/method/auditor.twitter \
  -H 'content-type: application/x-www-form-urlencoded' \
  -H 'x-auth-id: %YOUR_ID%' \
  -H 'x-auth-token: %YOUR_TOKEN%' \
  -d channel=nasa  \
<?php
$curl = curl_init();
curl_setopt_array($curl, [
   CURLOPT_URL => 'https://hypeauditor.com/api/method/auditor.twitter',
   CURLOPT_CUSTOMREQUEST => 'POST',
   CURLOPT_POSTFIELDS => [
       'channel' => 'nasa'
   ],
   CURLOPT_HTTPHEADER => [
       'x-auth-id: YOUR_ID',
       'x-auth-token: YOUR_TOKEN'
   ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
   echo 'cURL Error #:' . $err;
} else {
   echo $response;
}

📘

Note:

You don’t need to pre-request the report from web, you can request it directly from API.

Sample request

GET https://hypeauditor.com/api/method/auditor.twitter/?channel=nasa

Sample response

{
    "result": {
        "report_state": "READY",
        "report": {
            "basic": {
                "id": "11348282",
                "username": "nasa",
                "title": "NASA",
                "avatar_url": "https://pbs.twimg.com/profile_images/1321163587679784960/0ZxKlEKB_400x400.jpg",
                "description": "There's space for everybody. ✨\n\nVerification: https://t.co/8nok3NP4PW"
            },
            "metrics": {
                "subscribers_count": {
                    "value": 85343176,
                    "performance": {
                        "30d": {
                            "value": 0
                        },
                        "90d": {
                            "value": 0
                        },
                        "180d": {
                            "value": 0
                        }
                    }
                },
                "following_count": {
                    "value": 171,
                    "performance": null
                },
                "subscribers_growth_prc": {
                    "performance": {
                        "30d": {
                            "value": 0,
                            "mark": "none",
                            "similar": 0
                        },
                        "90d": {
                            "value": 0,
                            "mark": "none",
                            "similar": 0
                        },
                        "180d": {
                            "value": 0,
                            "mark": "none",
                            "similar": 0
                        }
                    }
                },
                "media_count": {
                    "performance": {
                        "30d": {
                            "value": 0
                        },
                        "90d": {
                            "value": 0
                        },
                        "180d": {
                            "value": 0
                        }
                    }
                },
                "media_per_week": {
                    "performance": {
                        "30d": {
                            "value": 0
                        },
                        "90d": {
                            "value": 0
                        },
                        "180d": {
                            "value": 0
                        }
                    }
                },
                "retweet_count": {
                    "value": null,
                    "performance": {
                        "30d": {
                            "value": 0
                        },
                        "90d": {
                            "value": 0
                        },
                        "180d": {
                            "value": 0
                        }
                    }
                },
                "retweet_avg": {
                    "performance": {
                        "30d": {
                            "value": 0
                        },
                        "90d": {
                            "value": 0
                        },
                        "180d": {
                            "value": 0
                        }
                    }
                },
                "favorite_count": {
                    "value": null,
                    "performance": {
                        "30d": {
                            "value": 0
                        },
                        "90d": {
                            "value": 0
                        },
                        "180d": {
                            "value": 0
                        }
                    }
                },
                "favorite_avg": {
                    "performance": {
                        "30d": {
                            "value": 0
                        },
                        "90d": {
                            "value": 0
                        },
                        "180d": {
                            "value": 0
                        }
                    }
                },
                "reply_count": {
                    "value": null,
                    "performance": {
                        "30d": {
                            "value": 0
                        },
                        "90d": {
                            "value": 0
                        },
                        "180d": {
                            "value": 0
                        }
                    }
                },
                "reply_avg": {
                    "performance": {
                        "30d": {
                            "value": 0
                        },
                        "90d": {
                            "value": 0
                        },
                        "180d": {
                            "value": 0
                        }
                    }
                },
                "er": {
                    "performance": {
                        "30d": {
                            "value": 0,
                            "value_prev": 0
                        },
                        "90d": {
                            "value": 0,
                            "value_prev": 0
                        },
                        "180d": {
                            "value": 0,
                            "value_prev": 1.0e-6
                        }
                    }
                },
                "quoted_retweet_rate": {
                    "performance": {
                        "30d": {
                            "value": 0
                        },
                        "90d": {
                            "value": 0
                        },
                        "180d": {
                            "value": 0
                        }
                    }
                },
                "tweets_with_links_prc": {
                    "performance": {
                        "30d": {
                            "value": 0
                        },
                        "90d": {
                            "value": 0
                        },
                        "180d": {
                            "value": 0
                        }
                    }
                },
                "tweets_with_media_prc": {
                    "performance": {
                        "30d": {
                            "value": 0
                        },
                        "90d": {
                            "value": 0
                        },
                        "180d": {
                            "value": 0
                        }
                    }
                },
                "tweets_number": {
                    "performance": {
                        "7d": {
                            "value": 0,
                            "value_prev": 0,
                            "mark": "average",
                            "mark_title": "AVERAGE"
                        },
                        "30d": {
                            "value": 0,
                            "value_prev": 0,
                            "mark": "average",
                            "mark_title": "AVERAGE"
                        },
                        "90d": {
                            "value": 0,
                            "value_prev": 0,
                            "mark": "average",
                            "mark_title": "AVERAGE"
                        },
                        "180d": {
                            "value": 0,
                            "value_prev": 12,
                            "mark": "average",
                            "mark_title": "AVERAGE"
                        },
                        "365d": {
                            "value": 12,
                            "value_prev": 362,
                            "mark": "average",
                            "mark_title": "AVERAGE"
                        }
                    },
                    "value": 374,
                    "value_prev": null,
                    "mark": "poor",
                    "mark_title": "LOW",
                    "similar": 0
                }
            },
            "features": {
                "most_media": {
                    "data": {
                        "most_retweet_count": {
                            "performance": {
                                "7d": {
                                    "media_ids": []
                                },
                                "30d": {
                                    "media_ids": []
                                },
                                "90d": {
                                    "media_ids": []
                                },
                                "180d": {
                                    "media_ids": []
                                },
                                "365d": {
                                    "media_ids": [
                                        "1894139589763186772",
                                        "1892364497790124093",
                                        "1895136057105998119",
                                        "1890463773044945212",
                                        "1891955605729865760",
                                        "1892964832527167670",
                                        "1894840654506627485",
                                        "1894863223637041293"
                                    ]
                                }
                            }
                        },
                        "most_favorite_count": {
                            "performance": {
                                "7d": {
                                    "media_ids": []
                                },
                                "30d": {
                                    "media_ids": []
                                },
                                "90d": {
                                    "media_ids": []
                                },
                                "180d": {
                                    "media_ids": []
                                },
                                "365d": {
                                    "media_ids": [
                                        "1894139589763186772",
                                        "1892364497790124093",
                                        "1890463773044945212",
                                        "1891955605729865760",
                                        "1892964832527167670",
                                        "1892250430152794445",
                                        "1894840654506627485",
                                        "1894863223637041293"
                                    ]
                                }
                            }
                        },
                        "most_reply_count": {
                            "performance": {
                                "7d": {
                                    "media_ids": []
                                },
                                "30d": {
                                    "media_ids": []
                                },
                                "90d": {
                                    "media_ids": []
                                },
                                "180d": {
                                    "media_ids": []
                                },
                                "365d": {
                                    "media_ids": [
                                        "1894139589763186772",
                                        "1894417737117548852",
                                        "1892364497790124093",
                                        "1891955605729865760",
                                        "1894840654506627485",
                                        "1892964832527167670",
                                        "1892250430152794445",
                                        "1893059079376884018"
                                    ]
                                }
                            }
                        },
                        "time_posted_desc": {
                            "performance": {
                                "7d": {
                                    "media_ids": []
                                },
                                "30d": {
                                    "media_ids": []
                                },
                                "90d": {
                                    "media_ids": []
                                },
                                "180d": {
                                    "media_ids": []
                                },
                                "365d": {
                                    "media_ids": [
                                        "1895136057105998119",
                                        "1895123642746286504",
                                        "1894977672402333829",
                                        "1894863223637041293",
                                        "1894840654506627485",
                                        "1894463865179504941",
                                        "1894417737117548852",
                                        "1894139589763186772"
                                    ]
                                }
                            }
                        },
                        "media": {
                            "1886821032096338166": {
                                "basic": {
                                    "id": "1886821032096338166",
                                    "title": "RT @NASAArtemis: NASA is seeking U.S. proposals for a public/private partnership to land and operate the VIPER rover mission on the Moon.…",
                                    "conversation_id": "1886821032096338166",
                                    "retweeted_id_str": "1886782102252740775",
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-04T16:56:04",
                                    "time_timestamp": 1738688164,
                                    "time": "2025-02-04T16:56:04",
                                    "urls": [],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 348,
                                    "favorite_count": 0,
                                    "reply_count": 0,
                                    "quote_count": 0
                                },
                                "features": {
                                    "links": [],
                                    "types": {
                                        "is_retweet": true,
                                        "is_quoted": false,
                                        "is_links": false,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": false
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "NASAArtemis"
                                    ]
                                }
                            },
                            "1894840654506627485": {
                                "basic": {
                                    "id": "1894840654506627485",
                                    "title": "LIVE: Get ready for the next moonshot with @Int_Machines Mission-2 updates from the team, @SpaceX, and @SpaceForceDOD. https://t.co/NPFo0onKDu https://t.co/OxC6mLCgze",
                                    "conversation_id": "1894840654506627485",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-26T20:03:11",
                                    "time_timestamp": 1740600191,
                                    "time": "2025-02-26T20:03:11",
                                    "urls": [
                                        {
                                            "displayurl": "youtu.be/oRrr5ARF1po",
                                            "expandedurl": "https://youtu.be/oRrr5ARF1po",
                                            "url": "https://t.co/NPFo0onKDu"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 888,
                                    "favorite_count": 4360,
                                    "reply_count": 479,
                                    "quote_count": 44
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/NPFo0onKDu"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "Int_Machines",
                                        "SpaceForceDOD",
                                        "SpaceX",
                                        "SpaceForceDoD"
                                    ]
                                }
                            },
                            "1890507414358659170": {
                                "basic": {
                                    "id": "1890507414358659170",
                                    "title": "RT @NASAArtemis: We love you, Moon. \n\nAfter about a month in transit to the Moon, @Firefly_Space’s Blue Ghost lunar lander successfully com…",
                                    "conversation_id": "1890507414358659170",
                                    "retweeted_id_str": "1890485183477907518",
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-14T21:04:26",
                                    "time_timestamp": 1739567066,
                                    "time": "2025-02-14T21:04:26",
                                    "urls": [],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 545,
                                    "favorite_count": 0,
                                    "reply_count": 0,
                                    "quote_count": 0
                                },
                                "features": {
                                    "links": [],
                                    "types": {
                                        "is_retweet": true,
                                        "is_quoted": false,
                                        "is_links": false,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": false
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "Firefly_Space",
                                        "NASAArtemis"
                                    ]
                                }
                            },
                            "1825640134634573900": {
                                "basic": {
                                    "id": "1825640134634573900",
                                    "title": "Tonight (Aug. 19) through Wednesday, look up to see a full moon that is both:\n \nA supermoon—when the Moon is within 90% of its closest approach to Earth\nA blue moon—which doesn't necessarily mean the Moon will look blue.\n \nWhat *does* it mean? Read on: https://t.co/ByNDVSbRr0 https://t.co/Hu1UXWxRN3",
                                    "conversation_id": "1825640134634573900",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2024-08-19T21:05:01",
                                    "time_timestamp": 1724101501,
                                    "time": "2024-08-19T21:05:01",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/4fOuMHf",
                                            "expandedurl": "https://go.nasa.gov/4fOuMHf",
                                            "url": "https://t.co/ByNDVSbRr0"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 5667,
                                    "favorite_count": 23889,
                                    "reply_count": 1108,
                                    "quote_count": 871
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/ByNDVSbRr0"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": []
                                }
                            },
                            "1892364497790124093": {
                                "basic": {
                                    "id": "1892364497790124093",
                                    "title": "New observations of asteroid 2024 YR4 helped us update its chance of impact in 2032. The current probability is 1.5%.\n\nOur understanding of the asteroid's path improves with every observation. We'll keep you posted. https://t.co/LuRwg1eaCv https://t.co/SfZIxflB95",
                                    "conversation_id": "1892364497790124093",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-20T00:03:49",
                                    "time_timestamp": 1740009829,
                                    "time": "2025-02-20T00:03:49",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/3I0ZA7K",
                                            "expandedurl": "http://go.nasa.gov/3I0ZA7K",
                                            "url": "https://t.co/LuRwg1eaCv"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 1812,
                                    "favorite_count": 10077,
                                    "reply_count": 790,
                                    "quote_count": 466
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/LuRwg1eaCv"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": []
                                }
                            },
                            "1781068357959037419": {
                                "basic": {
                                    "id": "1781068357959037419",
                                    "title": "It’s okay if you don’t feel sparkly today. It's cool if you're not feeling it. Step back for a bit. There’s just one problem.\n\nYou already sparkle. Maybe you don’t see it, but others do. You belong, just like every star in this star cluster belongs. https://t.co/PCQKEDOn68",
                                    "conversation_id": "1781068357959037419",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2024-04-18T21:12:41",
                                    "time_timestamp": 1713474761,
                                    "time": "2024-04-18T21:12:41",
                                    "urls": [
                                        {
                                            "displayurl": "pic.x.com/PCQKEDOn68",
                                            "expandedurl": "https://x.com/NASA/status/1781068357959037419/photo/1",
                                            "url": "https://t.co/PCQKEDOn68"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 6101,
                                    "favorite_count": 24327,
                                    "reply_count": 692,
                                    "quote_count": 757
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/PCQKEDOn68"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": []
                                }
                            },
                            "1892250430152794445": {
                                "basic": {
                                    "id": "1892250430152794445",
                                    "title": "“I can’t tell you how many times… I have an idea of what an image should be in my mind, and it doesn’t come to fruition. But lo and behold, something else comes to be.”\n\nLearn about photographer Bill Ingalls on our “Small Steps, Giant Leaps” podcast: https://t.co/s9AmITblyd https://t.co/u3kNzitsEY",
                                    "conversation_id": "1892250430152794445",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-19T16:30:33",
                                    "time_timestamp": 1739982633,
                                    "time": "2025-02-19T16:30:33",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/4gPXWVQ",
                                            "expandedurl": "https://go.nasa.gov/4gPXWVQ",
                                            "url": "https://t.co/s9AmITblyd"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 831,
                                    "favorite_count": 5578,
                                    "reply_count": 321,
                                    "quote_count": 43
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/s9AmITblyd"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": []
                                }
                            },
                            "1887301181510177129": {
                                "basic": {
                                    "id": "1887301181510177129",
                                    "title": "RT @NASA_Technology: They say practice makes perfect. And it’s super important if you’re going to the Moon. Read about yesterday's @blueori…",
                                    "conversation_id": "1887301181510177129",
                                    "retweeted_id_str": "1887257174348366019",
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-06T00:44:00",
                                    "time_timestamp": 1738802640,
                                    "time": "2025-02-06T00:44:00",
                                    "urls": [],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 284,
                                    "favorite_count": 0,
                                    "reply_count": 0,
                                    "quote_count": 0
                                },
                                "features": {
                                    "links": [],
                                    "types": {
                                        "is_retweet": true,
                                        "is_quoted": false,
                                        "is_links": false,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": false
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "blueori",
                                        "NASA_Technology"
                                    ]
                                }
                            },
                            "1889717377568321846": {
                                "basic": {
                                    "id": "1889717377568321846",
                                    "title": "LIVE: @Astro_Pettit is taking your questions live on @Twitch from aboard the @Space_Station!\n \n@DominickMatthew, who recently returned from living and working aboard the station, will also be joining to answer your questions: https://t.co/B4k0bRCVyh https://t.co/p1iFQs4zE2",
                                    "conversation_id": "1889717377568321846",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-12T16:45:06",
                                    "time_timestamp": 1739378706,
                                    "time": "2025-02-12T16:45:06",
                                    "urls": [
                                        {
                                            "displayurl": "twitch.tv/nasa/",
                                            "expandedurl": "https://www.twitch.tv/nasa/",
                                            "url": "https://t.co/B4k0bRCVyh"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 365,
                                    "favorite_count": 2331,
                                    "reply_count": 161,
                                    "quote_count": 24
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/B4k0bRCVyh"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "DominickMatthew",
                                        "Space_Station",
                                        "Twitch",
                                        "Astro_Pettit",
                                        "dominickmatthew",
                                        "astro_Pettit"
                                    ]
                                }
                            },
                            "1889445575407382602": {
                                "basic": {
                                    "id": "1889445575407382602",
                                    "title": "Why not start your evening with a little Moon meditation? Look up on Feb. 12 to see the full moon. Take a look at our Moon photography guide to help you commemorate the occasion: https://t.co/wsS8WgGVL4 https://t.co/0LoPBOUBMW",
                                    "conversation_id": "1889445575407382602",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-11T22:45:04",
                                    "time_timestamp": 1739313904,
                                    "time": "2025-02-11T22:45:04",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/4aUFJVM",
                                            "expandedurl": "https://go.nasa.gov/4aUFJVM",
                                            "url": "https://t.co/wsS8WgGVL4"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 674,
                                    "favorite_count": 4273,
                                    "reply_count": 275,
                                    "quote_count": 71
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/wsS8WgGVL4"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": []
                                }
                            },
                            "1890181222904787186": {
                                "basic": {
                                    "id": "1890181222904787186",
                                    "title": "Become a NASA @SpaceApps Local Lead, and bring the world's largest annual hackathon to your area!\n\nGrow in your field while you rally your community to tackle real challenges on Earth and in space. Apply here: https://t.co/2ZTwOvxQA6 https://t.co/UIqtK8jsbo",
                                    "conversation_id": "1890181222904787186",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-13T23:28:16",
                                    "time_timestamp": 1739489296,
                                    "time": "2025-02-13T23:28:16",
                                    "urls": [
                                        {
                                            "displayurl": "bit.ly/4jJPES8",
                                            "expandedurl": "http://bit.ly/4jJPES8",
                                            "url": "https://t.co/2ZTwOvxQA6"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 365,
                                    "favorite_count": 2208,
                                    "reply_count": 170,
                                    "quote_count": 25
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/2ZTwOvxQA6"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "SpaceApps"
                                    ]
                                }
                            },
                            "1894139589763186772": {
                                "basic": {
                                    "id": "1894139589763186772",
                                    "title": "The impact probability of asteroid 2024 YR4 has dropped to 0.004%. It's expected to safely pass Earth in 2032. \n \nRead the full update: https://t.co/wirnWv6FYE https://t.co/AKXma5eVoT",
                                    "conversation_id": "1894139589763186772",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-24T21:37:24",
                                    "time_timestamp": 1740433044,
                                    "time": "2025-02-24T21:37:24",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/3I0ZA7K",
                                            "expandedurl": "https://go.nasa.gov/3I0ZA7K",
                                            "url": "https://t.co/wirnWv6FYE"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 4216,
                                    "favorite_count": 37982,
                                    "reply_count": 2217,
                                    "quote_count": 3458
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/wirnWv6FYE"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": []
                                }
                            },
                            "1888694227023929843": {
                                "basic": {
                                    "id": "1888694227023929843",
                                    "title": "Another time-honored Super Bowl tradition:\n\nDid you know that the @Space_Station is 357 feet end-to-end? That’s almost the same length as a football field, including both end zones. #SBLIX https://t.co/UsqPaDuG7o",
                                    "conversation_id": "1888694227023929843",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-09T20:59:28",
                                    "time_timestamp": 1739134768,
                                    "time": "2025-02-09T20:59:28",
                                    "urls": [
                                        {
                                            "displayurl": "pic.x.com/UsqPaDuG7o",
                                            "expandedurl": "https://x.com/NASA/status/1888694227023929843/photo/1",
                                            "url": "https://t.co/UsqPaDuG7o"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 1397,
                                    "favorite_count": 9533,
                                    "reply_count": 410,
                                    "quote_count": 115
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/UsqPaDuG7o"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [
                                        "SBLIX"
                                    ],
                                    "mentions": [
                                        "Space_Station"
                                    ]
                                }
                            },
                            "1889443171983040964": {
                                "basic": {
                                    "id": "1889443171983040964",
                                    "title": "Cloudgazing... on Mars! ☁️\n \n@MarsCuriosity captured these colorful clouds drifting across the Martian sky. The iridescent, carbon dioxide ice formations offer clues about Mars' atmosphere and weather: https://t.co/HAp2FDFjhk https://t.co/DEWV477X01",
                                    "conversation_id": "1889443171983040964",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-11T22:35:31",
                                    "time_timestamp": 1739313331,
                                    "time": "2025-02-11T22:35:31",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/417jkkF",
                                            "expandedurl": "https://go.nasa.gov/417jkkF",
                                            "url": "https://t.co/HAp2FDFjhk"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 633,
                                    "favorite_count": 4334,
                                    "reply_count": 192,
                                    "quote_count": 42
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/HAp2FDFjhk"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "MarsCuriosity"
                                    ]
                                }
                            },
                            "1891984167052673244": {
                                "basic": {
                                    "id": "1891984167052673244",
                                    "title": "Our prelaunch coverage kicks off on Feb. 25 for two upcoming NASA missions that will map the skies and study the Sun's solar wind.\n\nTune in at 2pm ET (1900 UTC) for our live SPHEREx and PUNCH science overview—and share your questions with #AskNASA: https://t.co/RVYSbfnfsm https://t.co/rwuWQlBHRW",
                                    "conversation_id": "1891984167052673244",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-18T22:52:31",
                                    "time_timestamp": 1739919151,
                                    "time": "2025-02-18T22:52:31",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/3ETkZ4A",
                                            "expandedurl": "https://go.nasa.gov/3ETkZ4A",
                                            "url": "https://t.co/RVYSbfnfsm"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 610,
                                    "favorite_count": 3157,
                                    "reply_count": 276,
                                    "quote_count": 28
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/RVYSbfnfsm"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [
                                        "AskNASA"
                                    ],
                                    "mentions": []
                                }
                            },
                            "1886792494450426034": {
                                "basic": {
                                    "id": "1886792494450426034",
                                    "title": "Turning up the heat on Io🌋\n\nOur Juno spacecraft has discovered a hot spot in the southern hemisphere of Jupiter's moon Io. Scientists spotted one of its most intense volcanic eruptions ever recorded—which says a lot for a moon with over 400 volcanoes! https://t.co/XWVFHw8VSM https://t.co/7RIraRcDYq",
                                    "conversation_id": "1886792494450426034",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-04T15:02:40",
                                    "time_timestamp": 1738681360,
                                    "time": "2025-02-04T15:02:40",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/411LdKU",
                                            "expandedurl": "https://go.nasa.gov/411LdKU",
                                            "url": "https://t.co/XWVFHw8VSM"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 1329,
                                    "favorite_count": 8467,
                                    "reply_count": 298,
                                    "quote_count": 60
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/XWVFHw8VSM"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": []
                                }
                            },
                            "1874534756634812889": {
                                "basic": {
                                    "id": "1874534756634812889",
                                    "title": "We're all on this rock together, starting a new orbit around the Sun. Here's to new opportunities, discoveries, and moments of joy in 2025!\n \nHappy New Year from all of us at NASA 💫 https://t.co/UsdxpDjSdI",
                                    "conversation_id": "1874534756634812889",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-01-01T19:14:47",
                                    "time_timestamp": 1735758887,
                                    "time": "2025-01-01T19:14:47",
                                    "urls": [
                                        {
                                            "displayurl": "pic.x.com/UsdxpDjSdI",
                                            "expandedurl": "https://x.com/NASA/status/1874534756634812889/photo/1",
                                            "url": "https://t.co/UsdxpDjSdI"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 3699,
                                    "favorite_count": 20332,
                                    "reply_count": 1032,
                                    "quote_count": 201
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/UsdxpDjSdI"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": []
                                }
                            },
                            "1889780363540500530": {
                                "basic": {
                                    "id": "1889780363540500530",
                                    "title": "What do our missions in space do for you?\n\nTechnologies that make science and exploration possible lead to advances in medical equipment, manufacturing, and computing. Find out how we’re making life on Earth better in this year’s @NASASpinoff report: https://t.co/PhcgwZBvXS https://t.co/4QciReIZn9",
                                    "conversation_id": "1889780363540500530",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-12T20:55:23",
                                    "time_timestamp": 1739393723,
                                    "time": "2025-02-12T20:55:23",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/3WUexAM",
                                            "expandedurl": "https://go.nasa.gov/3WUexAM",
                                            "url": "https://t.co/PhcgwZBvXS"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 287,
                                    "favorite_count": 1643,
                                    "reply_count": 244,
                                    "quote_count": 29
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/PhcgwZBvXS"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "NASAspinoff",
                                        "NASASpinoff"
                                    ]
                                }
                            },
                            "1886852696960876651": {
                                "basic": {
                                    "id": "1886852696960876651",
                                    "title": "LIVE: We discuss our upcoming PUNCH (Polarimetry to Unify the Corona and Heliosphere) mission, which will launch four small satellites into low Earth orbit to make global, 3D observations of the Sun’s outer atmosphere and help us learn about solar wind. https://t.co/Duv9WNuEPk https://t.co/gmPb1ON6RQ",
                                    "conversation_id": "1886852696960876651",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-04T19:01:53",
                                    "time_timestamp": 1738695713,
                                    "time": "2025-02-04T19:01:53",
                                    "urls": [
                                        {
                                            "displayurl": "youtu.be/3-zXwq8eSg0",
                                            "expandedurl": "https://youtu.be/3-zXwq8eSg0",
                                            "url": "https://t.co/Duv9WNuEPk"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 486,
                                    "favorite_count": 2922,
                                    "reply_count": 400,
                                    "quote_count": 24
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/Duv9WNuEPk"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": []
                                }
                            },
                            "1894863223637041293": {
                                "basic": {
                                    "id": "1894863223637041293",
                                    "title": "Come to the Moon with us 🚀\n \n@Int_Machines's lunar lander, Athena, is set to lift off on a @SpaceX Falcon 9 from @NASAKennedy at 7:16pm ET on Feb. 26 (0016 UTC Feb. 27). Watch live here on X. https://t.co/IrVnHbpqKQ",
                                    "conversation_id": "1894863223637041293",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-26T21:32:52",
                                    "time_timestamp": 1740605572,
                                    "time": "2025-02-26T21:32:52",
                                    "urls": [
                                        {
                                            "displayurl": "pic.x.com/IrVnHbpqKQ",
                                            "expandedurl": "https://x.com/NASA/status/1894863223637041293/video/1",
                                            "url": "https://t.co/IrVnHbpqKQ"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 878,
                                    "favorite_count": 4187,
                                    "reply_count": 273,
                                    "quote_count": 61
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/IrVnHbpqKQ"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "Int_Machines",
                                        "SpaceX",
                                        "NASAKennedy"
                                    ]
                                }
                            },
                            "1836614677561753995": {
                                "basic": {
                                    "id": "1836614677561753995",
                                    "title": "RT @VP: The Congressional Gold Medal was just awarded to NASA's Hidden Figures: Katherine Johnson, Dr. Christine Darden, Dorothy Vaughan, M…",
                                    "conversation_id": "1836614677561753995",
                                    "retweeted_id_str": "1836577322830278812",
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2024-09-19T03:53:56",
                                    "time_timestamp": 1726718036,
                                    "time": "2024-09-19T03:53:56",
                                    "urls": [],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 5872,
                                    "favorite_count": 0,
                                    "reply_count": 0,
                                    "quote_count": 0
                                },
                                "features": {
                                    "links": [],
                                    "types": {
                                        "is_retweet": true,
                                        "is_quoted": false,
                                        "is_links": false,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": false
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "VP"
                                    ]
                                }
                            },
                            "1894417737117548852": {
                                "basic": {
                                    "id": "1894417737117548852",
                                    "title": "LIVE: Science and tech are set to launch with @Int_Machines on Feb. 26, including one of the first on-site demonstrations of resource use on the Moon. Hear from experts from our team, @Caltech, and industry now: https://t.co/AuWuYrHNIW https://t.co/oxjwioH9rZ",
                                    "conversation_id": "1894417737117548852",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-25T16:02:39",
                                    "time_timestamp": 1740499359,
                                    "time": "2025-02-25T16:02:39",
                                    "urls": [
                                        {
                                            "displayurl": "youtu.be/kiiYMA_Qayg",
                                            "expandedurl": "https://youtu.be/kiiYMA_Qayg",
                                            "url": "https://t.co/AuWuYrHNIW"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 671,
                                    "favorite_count": 2561,
                                    "reply_count": 920,
                                    "quote_count": 32
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/AuWuYrHNIW"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "Int_Machines",
                                        "Caltech"
                                    ]
                                }
                            },
                            "1895136057105998119": {
                                "basic": {
                                    "id": "1895136057105998119",
                                    "title": "RT @NASAArtemis: The Moon is so close, we can taste it!\n\nNew footage from @Firefly_Space shows their lunar lander's view from 60 miles (100…",
                                    "conversation_id": "1895136057105998119",
                                    "retweeted_id_str": "1894869263359279254",
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-27T15:37:00",
                                    "time_timestamp": 1740670620,
                                    "time": "2025-02-27T15:37:00",
                                    "urls": [],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 1574,
                                    "favorite_count": 0,
                                    "reply_count": 0,
                                    "quote_count": 0
                                },
                                "features": {
                                    "links": [],
                                    "types": {
                                        "is_retweet": true,
                                        "is_quoted": false,
                                        "is_links": false,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": false
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "Firefly_Space",
                                        "NASAArtemis"
                                    ]
                                }
                            },
                            "1892964832527167670": {
                                "basic": {
                                    "id": "1892964832527167670",
                                    "title": "A double feature that's worth the wait: Two new missions—one to study more than 450 million galaxies, and another to observe the Sun's corona—are now targeted for liftoff Friday, Feb. 28. More on SPHEREx and PUNCH launch: https://t.co/H7u3XCJftF https://t.co/G7ER2VHcJo",
                                    "conversation_id": "1892964832527167670",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-21T15:49:20",
                                    "time_timestamp": 1740152960,
                                    "time": "2025-02-21T15:49:20",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/4k6BWJ9",
                                            "expandedurl": "https://go.nasa.gov/4k6BWJ9",
                                            "url": "https://t.co/H7u3XCJftF"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 1106,
                                    "favorite_count": 5668,
                                    "reply_count": 455,
                                    "quote_count": 57
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/H7u3XCJftF"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": []
                                }
                            },
                            "1891955605729865760": {
                                "basic": {
                                    "id": "1891955605729865760",
                                    "title": "Your package is scheduled for delivery 📦\n \n@Firefly_Space’s Blue Ghost lunar lander is set to land on the near side of the Moon on March 2 at 3:45am ET (0845 UTC) with NASA science and tech aboard. Watch the landing live with us! https://t.co/UUhv9gYa9n https://t.co/QDbOlOiZxM",
                                    "conversation_id": "1891955605729865760",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-18T20:59:01",
                                    "time_timestamp": 1739912341,
                                    "time": "2025-02-18T20:59:01",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/4gKmzTJ",
                                            "expandedurl": "https://go.nasa.gov/4gKmzTJ",
                                            "url": "https://t.co/UUhv9gYa9n"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 1131,
                                    "favorite_count": 6167,
                                    "reply_count": 766,
                                    "quote_count": 68
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/UUhv9gYa9n"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "Firefly_Space"
                                    ]
                                }
                            },
                            "1777381011724111992": {
                                "basic": {
                                    "id": "1777381011724111992",
                                    "title": "Ready to witness a breathtaking celestial event? \n\nWatch the 2024 total solar #eclipse live with us.  https://t.co/0dMwJLSBL6",
                                    "conversation_id": "1777381011724111992",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2024-04-08T17:00:29",
                                    "time_timestamp": 1712595629,
                                    "time": "2024-04-08T17:00:29",
                                    "urls": [
                                        {
                                            "displayurl": "x.com/i/broadcasts/1…",
                                            "expandedurl": "https://x.com/i/broadcasts/1yNGaZVzQVqJj",
                                            "url": "https://t.co/0dMwJLSBL6"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 5905,
                                    "favorite_count": 13369,
                                    "reply_count": 629,
                                    "quote_count": 856
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/0dMwJLSBL6"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [
                                        "eclipse"
                                    ],
                                    "mentions": []
                                }
                            },
                            "1877750489040773428": {
                                "basic": {
                                    "id": "1877750489040773428",
                                    "title": "2024 was the warmest year on record. Our experts work with @NOAA scientists to track Earth’s average temperature, relying on millions of measurements worldwide. They found this year was hotter than any since at least 1880, the result of human activities: https://t.co/bVchhDzQku https://t.co/tBWymaFYOT",
                                    "conversation_id": "1877750489040773428",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-01-10T16:12:58",
                                    "time_timestamp": 1736525578,
                                    "time": "2025-01-10T16:12:58",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/3WdGkvy",
                                            "expandedurl": "https://go.nasa.gov/3WdGkvy",
                                            "url": "https://t.co/bVchhDzQku"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 2688,
                                    "favorite_count": 9085,
                                    "reply_count": 1865,
                                    "quote_count": 411
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/bVchhDzQku"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "NOAA"
                                    ]
                                }
                            },
                            "1880014378444952035": {
                                "basic": {
                                    "id": "1880014378444952035",
                                    "title": "Keep your eye on the donut and not on the hole.\n\nIn memory of David Lynch, we will continue to explore the otherworldly and the unknown. We will focus not on the loss, but on what we gained from the years we shared this planet with you. We will see you in our dreams. https://t.co/PRZkYKkcsN",
                                    "conversation_id": "1880014378444952035",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-01-16T22:08:51",
                                    "time_timestamp": 1737065331,
                                    "time": "2025-01-16T22:08:51",
                                    "urls": [
                                        {
                                            "displayurl": "pic.x.com/PRZkYKkcsN",
                                            "expandedurl": "https://x.com/NASA/status/1880014378444952035/photo/1",
                                            "url": "https://t.co/PRZkYKkcsN"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 18445,
                                    "favorite_count": 95748,
                                    "reply_count": 675,
                                    "quote_count": 1323
                                },
                                "features": {
                                    "links": [
                                        "https://t.co/PRZkYKkcsN"
                                    ],
                                    "types": {
                                        "is_retweet": false,
                                        "is_quoted": false,
                                        "is_links": true,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": true
                                    },
                                    "hashtags": [],
                                    "mentions": []
                                }
                            },
                            "1894977672402333829": {
                                "basic": {
                                    "id": "1894977672402333829",
                                    "title": "RT @NASA_LSP: 🚀LAUNCH UPDATE\n\nNASA and SpaceX are now targeting NET Sunday, Mar. 2 for the launch of the SPHEREx and PUNCH missions.\n\nhttps…",
                                    "conversation_id": "1894977672402333829",
                                    "retweeted_id_str": "1894857852214272255",
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2025-02-27T05:07:38",
                                    "time_timestamp": 1740632858,
                                    "time": "2025-02-27T05:07:38",
                                    "urls": [],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 145,
                                    "favorite_count": 0,
                                    "reply_count": 0,
                                    "quote_count": 0
                                },
                                "features": {
                                    "links": [],
                                    "types": {
                                        "is_retweet": true,
                                        "is_quoted": false,
                                        "is_links": false,
                                        "is_media": false,
                                        "is_reply": false,
                                        "is_tweet": false
                                    },
                                    "hashtags": [],
                                    "mentions": [
                                        "NASA_LSP"
                                    ]
                                }
                            },
                            "1827397371975676051": {
                                "basic": {
                                    "id": "1827397371975676051",
                                    "title": "After extensive review by experts across the agency, NASA's @BoeingSpace Crew Flight Test will return with an uncrewed #Starliner. Astronauts Butch Wilmore and Suni Williams are scheduled to return to Earth next spring aboard #Crew9: https://t.co/bfjenUU1Jf https://t.co/c4NzZVJcvw",
                                    "conversation_id": "1827397371975676051",
                                    "retweeted_id_str": null,
                                    "quoted_status_id_str": null,
                                    "in_reply_to_status_id_str": null,
                                    "language": "en",
                                    "time_iso": "2024-08-24T17:27:39",
                                    "time_timestamp": 1724520459,
                                    "time": "2024-08-24T17:27:39",
                                    "urls": [
                                        {
                                            "displayurl": "go.nasa.gov/3WYxWQ7",
                                            "expandedurl": "https://go.nasa.gov/3WYxWQ7",
                                            "url": "https://t.co/bfjenUU1Jf"
                                        }
                                    ],
                                    "social_type": "tr"
                                },
                                "metrics": {
                                    "retweet_count": 1218,
                                    "favorite_count": 5946,
                                    "reply_count": 1117,
                                    "quote_count": 474
                                },
                                "features": {
[...]
